You are viewing content for 5.1 | 5.0 | 4.9 | 4.8 | 4.7 | 4.6 | 4.5 | 4.4 | 4.3 | Previous Releases


Installation and Upgrade Troubleshooting

Check to see if an issue you encounter during installation is one of these issues.

Troubleshooting: Installation

Problem: Insufficient Temporary Disk Space

Incorta requires a temporary directory (/tmp folder) with at least 2 GB of available space during installation.

If you do not have enough disk space, you may see the error, “Insufficient disk space in the temporary directory.”

Solution: Free Space or Set a Different Directory

Incorta Analytics requires at least 2 GB of free disk space in the temporary directory (/tmp folder).

If you do not have 2 GB of space available, you can:

  • Free at least 2 GB of space in the /tmp directory.
  • Set a different temporary directory using the following command:

java -Dlax.nl.env.iatempdir=<PATH_TO_NEW_TEMP_DIR> -jar incorta-installer.jar

<PATH_TO_NEW_TEMP_DIR> is the path to the new temporary directory.

Troubleshooting: Upgrade

Issue: If there is no existing .zxt file for a table, the table Direct Data Mapping (snapshot) file upgrade migration and index Direct Data Mapping (snapshot) file upgrade migration for the table will fail and you may see one of these errors:

ERROR: [15:30:50] [ebs_44 | EBS_AR_SNP | AR_AGING | Table Snapshot Migration] Unable to migrate table snapshot: EBS_AR_SNP.AR_AGING.zxt, because the file does not exist. Please load from staging. [com.incorta.engine.migration.MigrationTool45.migrateTableSnapshot]

ERROR: [15:30:50] [ebs_44 | EBS_AR_SNP | AR_AGING | Index Snapshot Migration] Unable to migrate index snapshot: EBS_AR_SNP.AR_AGING.zxi, because there is no corresponding table snapshot(.zxt). Please load from staging. [com.incorta.engine.migration.MigrationTool45.migrateIndexSnapshot]

Resolution: Load the table from staging.

Issue: If you see an error that says “Duplication join for …” like this:

ERROR: [15:30:04] [ebs_44 | EBS_AP] Duplicate join for EBS_AP.AP_BATCHES_ALL to EBS_FND_COMMON.FND_CURRENCIES [com.incorta.engine.metamodel.SchemaModel.addJoinDef]

Resolution: Ignore this error. It will not prevent the upgrade.

Issue: After running the upgrade migration tool, you may see an error like this:

java.lang.UnsatisfiedLinkError: /tmp/snappy-1.1.2-502a238a-e939-492f-9564-5d773818cc15-libsnappyjava.so: /tmp/snappy-1.1.2-502a238a-e939-492f-9564-5d773818cc15-libsnappyjava.so: failed to map segment from shared object: Operation not permitted

Resolution: Run the Linux command sudo mount /tmp -o remount,exec to mount the needed directories. Then, re-run the upgrade migration tool.

Known Issues: Upgrade

  • If using Oracle 11g for Metadata database then you may experience the following error: “ORA-01882: timezone region not found”. Oracle 11g and the ojdbc7.jar added in the upgrade to R4.5 do not work together. To fix this issue, update the driver in the following two locations: <CMCInstallationPath>/cmc/lib and <IncortaNodeInstallationPath>/IncortaNode/runtime/lib.
  • In v4.5 engine.properties files for Loader and Analytics, the CPU Cores Utilization parameter engine.cpu_cores_utilization now has the following default values:
Min Max Default Total Min Total Max
Single Node Installation Loader 25% 75% 25% 50% 100%
Analytics 25% 75% 25% 50% 100%
Multiple Node Installation Loader 25% 95% 50% N/A N/A
Analytics 25% 95% 75% N/A N/A

© Incorta, Inc. All Rights Reserved.